Rated 1 out of 5 stars

Installs OK but makes Thunderbird unusable at the next restart with multiple XML errors. Just install the dictionary.

Rated 1 out of 5 stars

This does not even install in Thunderbird. I recommend using British English Dictionary (Marco Pinto) instead.

Rated 1 out of 5 stars

This extension resulted in a whole load of XML parsing errors and rendered TB unusable. Started in safe mode, disabled this extension, and everything went back to normal. I would avoid! Besides, not sure what the difference is between this add-on vs British English Dictionary by Marco Pinto, which is working fine.

Rated 5 out of 5 stars

Doesn't work with new version Thunderbird (68.0)

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

Have tried to install this but file says its corrupt. Tried several times

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

For what it's worth, I lend my two-pennyworth to the stream of previous comments. I take the lack of any responses from developers to be confirmation that nobody is in the least concerned about faults and inconsistencies with this product. T-bird has been my email client of choice for years, but it looks like I'll have to find something else because it's becoming completely unusable.

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

Please update the pack to the current version.

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

Trie several times to install and each time it said that the file was corrupt.
This is Stupid, why release an update that has no spell check?

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

Thunderbird latest version says it's corrupt, I downloaded it twice to make sure.

This review is for a previous version of the add-on (52.0). 

Rated 5 out of 5 stars

I managed to install a downloaded dictionary but not in the way others have advised because there was no gog on the add on page as many others have stated. Therefore, I tried all the other options such as extensions and languages and hey presto there is the gog to install your download.

This review is for a previous version of the add-on (52.0). 

Rated 5 out of 5 stars

Worked OK once I worked out how to install. In Thunderbird. Download the file and then from the menu on the toolbar, select Tools, then Add-ons. In the centre window at the top is a gear symbol, select this and choose install from file.

This review is for a previous version of the add-on (52.0). 

Rated 5 out of 5 stars

Tried for 2 hours to get this add on to work. Most reviews are similar but the odd one which has been successful mention a 'gear' symbol which I don't have. Funny how spell checker works in this box. Perseverance paid off. *****

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

HELLO - ANYONE CARES? This addon has been unavailable for years according to the reviews. Can you please tell us if it will be ever fixed otherwise will revert to Outlook? I need a spol checker.

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

The information provided it very lacking but I managed to find out how to install this using Thunderbird 52.9.1.

1) Download the .xpi file.
2) Go to Tools->Add-ons
3) Click the cog and select "Install Add-on From File"

Hope that helps!

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

No instructions or help on installing this. The dictionary option in TBird is greyed out and the only thing left is 'Download more dictionaries' which brings me here.
If you want this to be a truly viable email client then ridiculous situations like this must be avoided.
I'm not allowed to give no stars, so one, undeserved star is what you get.

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

Not working

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

It is still unobtainable. Downloaded a roll back at least I could get the Yank dictionary, now updated to 60 can't even get that

This review is for a previous version of the add-on (52.0).  This user has a previous review of this add-on.

Rated 1 out of 5 stars

Like most things I want to use or change, it's either difficult, or as in this case, doesn't work

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

LE GAG
"Mozilla ne peut ouvrir ce fichier car il semble corrompu" !!!!!!
J'ai la bonne version 52.9.1
Que dire de plus à tant de ....ie ?
RIEN
J'ai mis 1* car on ne peut pas mettre zéro

This review is for a previous version of the add-on (52.0). 

Rated 1 out of 5 stars

Sadly I can not get this add on to work. It insists on trying to change English to American.

This review is for a previous version of the add-on (52.0).